import request from "@/api/request.js";

// 涉华法案领域分布
/**
 * @param {year} 
 */
export function getBillIndustry(params) {
    return request({
        method: 'GET',
        url: `/api/BillOverview/billIndustry/${params.year}`,
        params,
    })
}

// 涉华法案统计
export function getBillCount(params) {
  return request({
    method: 'GET',
    url: `/api/BillOverview/billCount`,
    params
  })
}

// 获取关键条款
export function getBillOverviewKeyTK() {
  return request({
    method: 'GET',
    url: `/api/BillOverview/keyTk`,

  })
}

// 获取热门法案列表
export function getHotBills() {
    return request({
        method: 'GET',
        url: '/api/BillOverview/hotBills',
    })
}

// 获取法案风险信号
export function getBillRiskSignal() {
    return request({
        method: 'GET',
        url: '/api/BillOverview/riskSignal',
    })
}

// 根据法案类型获取法案列表
/**
 * @param {type} 
 */
export function getBillsByType(params) {
    return request({
        method: 'GET',
        url: '/api/BillOverview/bills',
        params,
    })
}

// 根据行业领域字典列表
export function getHylyList() {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/hylyList`,
    })
}

// 获取法案提出部门
/**
 * @param {year} 
 */
export function getBillPostOrg(params) {
    return request({
        method: 'GET',
        url: `/api/BillOverview/billPostOrg/${params.year}`,
    })
}

// 获取关键议员提案
/**
 * @param {year} 
 */
export function getMemberProposal(params) {
    return request({
        method: 'GET',
        url: `/api/BillOverview/memberProposal/${params.year}`,
    })
}

// 获取资源库
export function getBills(params) {
    return request({
        method: 'GET',
        url: `/api/BillOverview/bills`,
        params
    })
}